#-----------------------------------------------------------------------
proc WinLogOutPut {parent} {
global Images wprint

        # Create a toplevel window

	set wlog $parent.log
	if [winfo exists $wlog] {
		wm deiconify $wlog
		return
	}
	toplevel $wlog
	wm title $wlog "Log Window"
	wm iconbitmap $wlog @$Images(bitmap,winlog)
	wm iconify $wlog

	# Main Frame Container
	# ====================

	set wf $wlog.f
	frame $wf

	# Text Frame for output

	set wfrtext $wf.ft
	frame $wfrtext -bd 2 -relief ridge
	set wprint [ScrolledText $wfrtext -width 100 -height 6 \
			-wrap word -setgrid true -cursor {top_left_arrow}]

	# Button Frame

	set wbut $wf.button
	frame $wbut -bd 2 -relief sunken

	button $wbut.clear -text "Clear" \
		-command [list WinLogOutPut_Clear $wprint]
	button $wbut.close -text "Close" -cursor {pirate} \
		-command [ list destroy $wlog ]
	button $wbut.iconify -text "Icon" -state normal \
		-command [list wm iconify $wlog]
	pack $wbut.close $wbut.clear $wbut.iconify -side left

	# Pack main frames

	pack $wbut -side bottom -pady 2m
	pack $wfrtext -expand true -fill both
	pack $wf -expand true -fill both

	$wprint insert end "\tWelcome ! This is an experimental Loging Window ...\n\n"
	$wprint see end

	return $wprint
}
proc WinLogOutPut_Clear {wprint } {
	global IcountHist
	$wprint delete 1.0 end
	set IcountHist 0
}
proc PRINT_debug {info} {
global wprint IcountHist
	if ![info exists IcountHist] {set IcountHist 0}
	incr IcountHist

	if [winfo exists $wprint] {
		$wprint insert end "\[$IcountHist\] $info"
		$wprint insert end \n
		$wprint see end
	} else {
		puts stdout "\[$IcountHist\] $info"
	}
}
proc PRINT {info} {
global wprint IcountHist
	if ![info exists IcountHist] {set IcountHist 0}
	incr IcountHist

	if [winfo exists $wprint] {
		$wprint insert end "\[$IcountHist\] $info"
		$wprint insert end \n
		$wprint see end
	}
}
#-----------------------------------------------------------------------
